// void setCPU(){};

/*  this function's Incoming arguments are a pointer to the CPU class
    "CPU *pCPU" and the new mainclock speed
*/
void setCPUmainclock(CPU *pCPU, std::string mkey, std::string mmainclock) {
pCPU->HardwareSpecs[mkey] = mmainclock; 
}

void setCPUboostclock(CPU *pCPU, std::string mkey, std::string mboostclock) {
pCPU->HardwareSpecs[mkey] = mboostclock; 
}

void setCPUarch(CPU *pCPU, std::string mkey, std::string march) {
pCPU->HardwareSpecs[mkey] = march;
}

void setCPUbits(CPU *pCPU, std::string mkey, int mbits) {
  pCPU->HardwareSpecs[mkey] = mbits;
}

void setCPUcores(CPU *pCPU, std::string mkey, int mcores) {
pCPU->HardwareSpecs[mkey] = mcores;
}

void setCPUthreads(CPU *pCPU, std::string mkey, int mthreads) {
pCPU->HardwareSpecs[mkey] = mthreads;
  // create an IF catch to set threads cores * 2 as a fall back
}

